%define oname   hpricot

Name:       ruby-%{oname}
Version:    0.8.6
Release:    %mkrel 19
Summary:    A swift, liberal HTML parser with a fantastic library
Group:      Development/Ruby
License:    MIT
URL:        http://code.whytheluckystiff.net/hpricot/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Hpricot is a very flexible HTML parser, based on Tanaka Akira's
HTree and John Resig's JQuery, but with the scanner recoded in C
(using Ragel for scanning.)

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}/%{gem_extdir_mri}/ext

sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/%{oname}/*.rb

# The Mageia build system doesn't like filenames with percent signs, so we
# are renaming them.
find "$RPM_BUILD_ROOT" -name '*%*' -type f | perl -lne 'my $s = $_; $s =~ tr/%/_/; rename ($_, $s);'

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc README.md CHANGELOG COPYING


%changelog
* Mon Mar 02 2020 pterjan <pterjan> 0.8.6-19.mga8
+ Revision: 1553159
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.8.6-18.mga8
+ Revision: 1516645
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.6-17.mga7
+ Revision: 1300882
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.8.6-16.mga7
+ Revision: 1188670
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 0.8.6-15.mga7
+ Revision: 1140835
- Rebuild for new Ruby
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 spuhler <spuhler> 0.8.6-13.mga6
+ Revision: 907675
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-12.mga5
+ Revision: 744636
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6-11.mga5
+ Revision: 688831
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.8.6-10.mga4
+ Revision: 561974
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.8.6-9.mga4
+ Revision: 561302
- Fix gem macros

* Mon Dec 23 2013 pterjan <pterjan> 0.8.6-8.mga4
+ Revision: 560108
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6-7.mga4
+ Revision: 535522
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.8.6-6.mga4
+ Revision: 482136
- Update file list
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.8.6-5.mga4
+ Revision: 479109
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.8.6-4.mga3
+ Revision: 396053
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.6-3.mga3
+ Revision: 381012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.8.6-2.mga3
+ Revision: 312059
- rebuild for new ruby

* Fri Jun 08 2012 shlomif <shlomif> 0.8.6-1.mga3
+ Revision: 257577
- Get rid of percent signs
- SHA1 fixes
+ solbu <solbu>
- New version
- Spec cleanup

* Thu Mar 03 2011 shikamaru <shikamaru> 0.8.4-1.mga1
+ Revision: 63436
- new version 0.8.4

* Mon Feb 07 2011 shikamaru <shikamaru> 0.8.3-2.mga1
+ Revision: 48571
- imported package ruby-hpricot

